Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: martin rudalics <[email-masked]>
Date: Wed, 31 Mar 2021 20:41:42 +0200

> I have no idea what changed to cause this, but with this current
 > patchset I can't actually start emacs.
 >
 > #0  set_buffer_internal_2 (b=0x7ffff2a3cb10) at ../../master/src/buffer.c:2157
 >          old_buf = 0x0
 >          tail = XIL(0x7ffff2a3cb15)

I doubt that my last additions can have cause that and line 2157 is

   BUFFER_CHECK_INDIRECTION (b);

so I wonder what could have gone wrong here.  Maybe some pdumper snafu?

Does it start with emacs -Q?  Does it start with --enable-checking=no?
Does it start without the changeset applied?

martin